# Utils.

def import_markups():
    markups = [('linebreaks', _('none (html)'))]
    # Ugly but efficient: try to check what are the available markups
    try:
        import docutils
        markups.append(('restructuredtext', 'reStructuredText'))
    except ImportError:
        pass
    try:
        import markdown
        markups.append(('markdown', 'Markdown'))
    except ImportError:
        pass
    try:
        import textile
        markups.append(('textile', 'Textile'))
    except ImportError:
        pass
    return tuple(markups)

# EOF
